/*
 *************************************************************************
 * Copyright (c) 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *  
 *************************************************************************
 */

package org.eclipse.birt.data.engine.odaconsumer.birtdriver;

import org.eclipse.birt.data.oda.IConnection;
import org.eclipse.birt.data.oda.OdaException;
import org.eclipse.birt.data.oda.impl.SimpleConnection;
import org.eclipse.birt.data.oda.impl.SimpleDriver;

/**
 * A junit test ODA plug-in that implements the deprecated BIRT ODA run-time interfaces.
 * This is used to test the DTP-to-BIRT ODA driver adapter and
 * its backward compatibility support.
 */
public class TestBirtDriverImpl extends SimpleDriver
{
    /* (non-Javadoc)
     * @see org.eclipse.birt.data.oda.impl.SimpleDriver#newConnection(java.lang.String)
     */
    protected IConnection newConnection( String dataSourceType )
            throws OdaException
    {
		return new TestBirtConnectionImpl();
    }
}
