
package org.eclipse.birt.report.engine.internal.executor.doc;

import junit.framework.TestCase;

public class FragmentTest extends TestCase
{

	public void testFragment( )
	{
		Fragment fragment = new Fragment( );
		long[] leftEdge = new long[]{0};
		long[] rightEdge = new long[]{2};
		fragment.addFragment( leftEdge, rightEdge );

		leftEdge = new long[]{4};
		rightEdge = new long[]{5};
		fragment.addFragment( leftEdge, rightEdge );

		leftEdge = new long[]{7};
		rightEdge = new long[]{7};
		fragment.addFragment( leftEdge, rightEdge );

		assertTrue( fragment.inFragment( 0 ) );
		assertTrue( fragment.inFragment( 1 ) );
		assertTrue( fragment.inFragment( 2 ) );
		assertTrue( !fragment.inFragment( 3 ) );
		assertTrue( fragment.inFragment( 4 ) );
		assertTrue( fragment.inFragment( 5 ) );
		assertTrue( !fragment.inFragment( 6 ) );
		assertTrue( fragment.inFragment( 7 ) );

		assertEquals( 0, fragment.getFragment( 0 ).offset );
		assertEquals( null, fragment.getFragment( 1 ) );
		assertEquals( 2, fragment.getFragment( 2 ).offset );
		assertEquals( null, fragment.getFragment( 3 ) );
		assertEquals( 4, fragment.getFragment( 4 ).offset );
		assertEquals( 5, fragment.getFragment( 5 ).offset );
		assertEquals( null, fragment.getFragment( 6 ) );
		assertEquals( 7, fragment.getFragment( 7 ).offset );

		assertEquals( 2, fragment.getNextFragment( 0 ).offset );
		assertEquals( 2, fragment.getNextFragment( 1 ).offset );
		assertEquals( 4, fragment.getNextFragment( 2 ).offset );
		assertEquals( 4, fragment.getNextFragment( 3 ).offset );
		assertEquals( 5, fragment.getNextFragment( 4 ).offset );
		assertEquals( 7, fragment.getNextFragment( 5 ).offset );
		assertEquals( 7, fragment.getNextFragment( 6 ).offset );
		assertEquals( null, fragment.getNextFragment( 7 ) );
	}
}
