
package org.eclipse.birt.report.engine.internal.executor.doc;

import junit.framework.TestCase;

public class SegmentTest extends TestCase
{

	public void testSegment( )
	{
		//ALL
		Segment segment = new Segment( );
		segment.startSegment( Long.MIN_VALUE );
		segment.endSegment( Long.MAX_VALUE );
		assertEquals( "[ALL]", segment.toString( ) );

		//NONE
		segment = new Segment( );
		segment.startSegment( Long.MIN_VALUE );
		segment.endSegment( Long.MIN_VALUE );
		assertEquals( "[NONE]", segment.toString( ) );
		
		//SINGLE ELMENT
		segment = new Segment( );
		segment.startSegment( 3 );
		segment.endSegment( 3 );
		assertEquals( "[3-3]", segment.toString( ) );

		segment = new Segment( );
		segment.endSegment( 3 );
		segment.startSegment( 3 );
		assertEquals( "[ALL]", segment.toString( ) );

		//left open segment
		segment = new Segment( );
		segment.endSegment( 3 );
		assertEquals( "[-3]", segment.toString( ) );

		//right open segment
		segment = new Segment( );
		segment.startSegment( 3 );
		assertEquals( "[3-]", segment.toString( ) );
		
		
		//cross segment
		segment = new Segment( );
		segment.endSegment( 3 );
		segment.startSegment( 6 );
		segment.endSegment( 10 );
		segment.startSegment(7);
		segment.endSegment( 12 );
		segment.startSegment(15);
		assertEquals( "[-3][6-12][15-]", segment.toString( ) );

	}
}
