/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.parser;

import org.eclipse.birt.report.engine.ir.MultiLineItemDesign;

/**
 * 
 */
public class MultiLineItemDesignTest extends AbstractDesignTestCase
{

	protected MultiLineItemDesign multi;

	public void setUp( ) throws Exception
	{
		loadDesign( "multi-line-test.xml" );
		multi = (MultiLineItemDesign) report.getContent( 0 );
		assertTrue( multi != null );
	}

	public void testMultiBasic( )
	{
		assertEquals( 1, multi.getX( ).getMeasure( ), Double.MIN_VALUE );
		assertEquals( 2, multi.getY( ).getMeasure( ), Double.MIN_VALUE );
		assertEquals( 3, multi.getWidth( ).getMeasure( ), Double.MIN_VALUE );
		assertEquals( 4, multi.getHeight( ).getMeasure( ), Double.MIN_VALUE );
		assertEquals( "multi", multi.getName( ) );
		assertEquals( "row[\"COLUMN_4\"]", multi.getContent( ) );
		assertEquals( "dset.contentType", multi.getContentType( ) );
	}
}
